# Installation

## STEP 1 - Dependencies

{% hint style="info" %}
**Dependencies:** It is important to use the dependencies that are indicated in this step, do not use others, otherwise you will receive critical errors
{% endhint %}

{% embed url="<https://github.com/overextended/ox_lib/releases>" %}

## STEP 2 - Start order

{% hint style="warning" %}
It is important to put the resources in the correct order, oxmysql should be started before es\_extended followed by ox\_lib (should be on top of your starting scripts)
{% endhint %}

In order for the resource to start correctly and not receive any errors, we must start the resources in the following order

```
ensure es_extended
ensure ox_lib
```

## STEP 3 - Script Config

{% hint style="info" %}
You can fully configure the script based on what your server needs. Here you can find a detailed explaination about all the possible configuration that you can use.
{% endhint %}

````lua
```lua
--[[
           ______________________________________
  ________|         LSRPxDeluxe Scoreboard       |_______
  \       |      deluxedevelopment.tebex.io      |      /
   \      |                                      |     /
   /      |______________________________________|     \
  /__________)                                (_________\                                                                           
  
    Discord Support: https://discord.gg/pqXAbDBmVM [Deluxe Dev]
	Discord Support:https://discord.com/invite/TXbh8hdTf9 [LSRP Dev]

Before you go ahead make sure you have downloaded and installed these dependency or you might have issues running this script.
1] OXLib : https://github.com/overextended/ox_lib/releases

Make sure you have the same start order in your server cfg:

ensure es_extended
ensure ox_lib
ensure scoreboard

]]

Config = {}

Config.Debug = false -- Should only turn to true if you have errors to help you identify the problem.

Config.CheckForUpdates = true -- Checks automatically for updates (You should keep it to true)

Config.general = {
    primary_identifier = "license",
}

--[[
    You can configure Tags in this section 
--]]

Config.Tags = {

    Admin = { -- Admins are automatically added if they have their group set to admin. You don't need to add their identifier.
        color = "red", -- Color of the label
        label = 'ADMINISTRATOR', -- Text of the label
        icon = [[
            <svg xmlns="http://www.w3.org/2000/svg" height="1em" viewBox="0 0 576 512"><path d="M309 106c11.4-7 19-19.7 19-34c0-22.1-17.9-40-40-40s-40 17.9-40 40c0 14.4 7.6 27 19 34L209.7 220.6c-9.1 18.2-32.7 23.4-48.6 10.7L72 160c5-6.7 8-15 8-24c0-22.1-17.9-40-40-40S0 113.9 0 136s17.9 40 40 40c.2 0 .5 0 .7 0L86.4 427.4c5.5 30.4 32 52.6 63 52.6H426.6c30.9 0 57.4-22.1 63-52.6L535.3 176c.2 0 .5 0 .7 0c22.1 0 40-17.9 40-40s-17.9-40-40-40s-40 17.9-40 40c0 9 3 17.3 8 24l-89.1 71.3c-15.9 12.7-39.5 7.5-48.6-10.7L309 106z"/></svg>
            ]],
        labelBack = 'Administrator' -- Hovering text
    },

    Vip = {
        identifiers = {"", "", ""}, -- Add here any identifiers that you want to set as a vip. You should find it in your db users table.
        color = "yellow", -- Color of the label
        label = 'VIP', -- Text of the label
        icon = [[
            <svg xmlns="http://www.w3.org/2000/svg" height="1em" viewBox="0 0 576 512"><path d="M309 106c11.4-7 19-19.7 19-34c0-22.1-17.9-40-40-40s-40 17.9-40 40c0 14.4 7.6 27 19 34L209.7 220.6c-9.1 18.2-32.7 23.4-48.6 10.7L72 160c5-6.7 8-15 8-24c0-22.1-17.9-40-40-40S0 113.9 0 136s17.9 40 40 40c.2 0 .5 0 .7 0L86.4 427.4c5.5 30.4 32 52.6 63 52.6H426.6c30.9 0 57.4-22.1 63-52.6L535.3 176c.2 0 .5 0 .7 0c22.1 0 40-17.9 40-40s-17.9-40-40-40s-40 17.9-40 40c0 9 3 17.3 8 24l-89.1 71.3c-15.9 12.7-39.5 7.5-48.6-10.7L309 106z"/></svg>
            ]],
        labelBack = 'VIP' -- Hovering text
    },

    Custom = {
        identifiers = {"", "char:xxx"}, -- Add here any identifiers that you want to set with a custom tag. You should find it in your db users table.
        color = "green", -- Color of the label
        label = 'Custom', -- Text of the label
        icon = [[
            <svg xmlns="http://www.w3.org/2000/svg" height="1em" viewBox="0 0 576 512"><path d="M309 106c11.4-7 19-19.7 19-34c0-22.1-17.9-40-40-40s-40 17.9-40 40c0 14.4 7.6 27 19 34L209.7 220.6c-9.1 18.2-32.7 23.4-48.6 10.7L72 160c5-6.7 8-15 8-24c0-22.1-17.9-40-40-40S0 113.9 0 136s17.9 40 40 40c.2 0 .5 0 .7 0L86.4 427.4c5.5 30.4 32 52.6 63 52.6H426.6c30.9 0 57.4-22.1 63-52.6L535.3 176c.2 0 .5 0 .7 0c22.1 0 40-17.9 40-40s-17.9-40-40-40s-40 17.9-40 40c0 9 3 17.3 8 24l-89.1 71.3c-15.9 12.7-39.5 7.5-48.6-10.7L309 106z"/></svg>
            ]],
        labelBack = 'Custom' -- Hovering text
    },
}

--[[ Setup the key that you want to open the scoreboard ]]

Config.keyBind = {
    name = 'scoreboard',
    description = locale('open_scoreboard'),
    defaultKey = 'TAB',
}

Config.ServerConfig = {
    serverName = "LSRPxDELUXE Scripts", --[[ Type your server name here ]]
    discordServer = "https://discord.com/invite/TXbh8hdTf9", 
    ALLOW_MODE_CHANGE = true,
    option_set_waypoint = locale('option_set_waypoint'),
    option_get_identifier = locale('option_get_identifier'),
    option_kick_player = locale('option_kick_player'),
    option_scheme = locale('option_scheme'),
    option_discord = locale('option_discord')
}

--[[ Add any job that you want to display in the scoreboard ]]

Config.jobs = {
    { society_name = 'police', society_label = 'Los Santos Police Department', society_color = 'blue', society_divider = 'Emergency'},
    { society_name = 'ambulance', society_label = 'EMS', society_color = 'red.6' },
    { society_name = 'bennys', society_label = 'Benny\'s', society_color = 'red.3', society_divider = 'Services'},
}
```
````


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://deluxedevelopment.gitbook.io/api-docs/esx-scripts-paid/lsrpxdeluxe-scoreboard/installation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
